package com.microservices.zone.member.domain.vo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 发送消息、邮件对象
 *
 * @author xjy
 */
public class SendMailVo {


    /**
     * 发送消息、邮件标识
     */
    private String source;

    /**
     * 发送模板id
     */
    private String template_id;

    /**
     * 邮件内容参数title,receiver对应消息
     */
    private Map<String, String> props = new HashMap();


    /**
     * 接收者，可用户id，或email
     */
    private List<String> users_id;

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getTemplate_id() {
        return template_id;
    }

    public void setTemplate_id(String template_id) {
        this.template_id = template_id;
    }

    public Map<String, String> getProps() {
        return props;
    }

    public void setProps(Map<String, String> props) {
        this.props = props;
    }

    public List<String> getUsers_id() {
        return users_id;
    }

    public void setUsers_id(List<String> users_id) {
        this.users_id = users_id;
    }
}